[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.SendMoveSizeMessages

Sends Move and Size messages through the LCL message paths.

## Declaration

Source position: controls.pp line 1374

`protected procedure TControl.SendMoveSizeMessages(`
`SizeChanged: Boolean;`
`PosChanged: Boolean`
`); virtual;`

## Arguments

`SizeChanged` |  | True if a TLMSize message is constructed and dispatched in the method.
`PosChanged` |  | True if a TLMMove message is constructed and dispatched in the method.

## Description

Overridden in TWinControl; in TControl it's a NOP. This method simulates the VCL behavior and has no real effect.

## See also

TControl.ChangeBounds |  | Sets the bounds (left, top, height, width) and optionally the BaseBounds of the control.
TControl.Left |  | The client coordinate with the left edge for the control.
TControl.Top |  | The client coordinate for the top edge of the control.
TControl.Width |  | The horizontal size for the control.
TControl.Height |  | The vertical size for the control.